<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:dt="http://xsltsl.org/date-time"
                version="1.0">

  <xsl:import href="date-time.xsl"/>
  <xsl:output method="html"/>


<xsl:template match="/">
<html>
<body>
  <xsl:for-each select="//vevent">
    <xsl:sort select="substring(dtstart, 1, 8)" />
    <p><xsl:attribute name="id"><xsl:value-of select="uid" /></xsl:attribute>
    Event: <xsl:apply-templates select="summary"/>
    <br />
    Date: <xsl:apply-templates select="dtstart"/><br />Location: <xsl:value-of select="location" />
    <br />
    <xsl:apply-templates select="description" />
    </p>

  </xsl:for-each>
</body>
</html>
</xsl:template>

<xsl:template match="dtstart">
  <xsl:call-template name="DATE">
    <xsl:with-param name="this-date" select="."/>
  </xsl:call-template>
</xsl:template>


<xsl:template name="DATE">
  <xsl:param name="this-date"/>

  <xsl:call-template name="dt:format-date-time">
    <xsl:with-param name="year" select='substring($this-date, 1, 4)' />
    <xsl:with-param name="month" select='substring($this-date, 5, 2)'/>
    <xsl:with-param name="day" select='substring($this-date, 7, 2)'/>
    <xsl:with-param name="hour">10</xsl:with-param>
    <xsl:with-param name="minute">30</xsl:with-param>
    <xsl:with-param name="second">0</xsl:with-param>
    <xsl:with-param name="time-zone"></xsl:with-param>
    <xsl:with-param name="format" select="'%B %d, %Y'" />
  </xsl:call-template>
</xsl:template>


<xsl:template match="description">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="br">
  <br/>
</xsl:template>

<xsl:template match="a">
  <a>
    <xsl:attribute name="href"><xsl:value-of select="." /></xsl:attribute>
    <xsl:value-of select="." />
  </a>
</xsl:template>

<xsl:template match="address">
  <a>
      <xsl:if test="@kind='mailto'">
        <xsl:attribute name="href">mailto:<xsl:value-of select="." /></xsl:attribute>
      </xsl:if>
      <xsl:if test="@kind='http'">
        <xsl:attribute name="href">http://<xsl:value-of select="." /></xsl:attribute>
      </xsl:if>
    <xsl:value-of select="." />
  </a><br/>
</xsl:template>

</xsl:stylesheet>
